/*
 *  Copyright (c) by Shuu Yamaguchi <shuu@dotAster.com>
 *
 *  $Id: coldplug.c,v 1.2 2004/02/05 23:45:06 shuu Exp shuu $
 *
 *  Can be freely distributed and used under the terms of the GNU GPL.
 */
#include	<stdio.h>
#include	<stdlib.h>
#include	<string.h>

#include	"murasaki.h"

char *
coldplug_init(char *init,char *agent,int *debug_flag)
{
	static char command[64] = "murasaki_";
	char *sysfs_dir;

	strcat(command,init);
	openlog(command,LOG_PID,LOG_DAEMON);
	if (check_config(init) == ARG_OFF) {
		*debug_flag = -1;

		return NULL;
	} else if (check_config(agent) == ARG_OFF) {
		syslog(LOG_LEVEL,"Please change a configuration of %s to \"on\"" ,agent);
		*debug_flag = -1;

		return NULL;
	}
	if (getenv("MURASAKI_DEBUG"))
		*debug_flag = 1;
		
	sysfs_dir = check_sysfs(NULL);

	return sysfs_dir;
}
