/*
 *  Copyright (c) by Shuu Yamaguchi <shuu@dotaster.com>
 *
 *  $Id: id.c,v 1.4 2004/02/06 00:14:56 shuu Exp shuu $
 *
 *  Can be freely distributed and used under the terms of the GNU GPL.
 */
#include	<stdio.h>
#include	<stdlib.h>

#include	"murasaki.h"
#include	"murasaki_ieee1394.h"

int
get_id_ieee1394(mu_op_t *opp)
{
	char *ptr;
	MU_ieee1394_config_t *config;

	config = (MU_ieee1394_config_t *)opp->config;

	ptr = getenv("VENDOR_ID");
	config->vendor = strtoul(ptr,NULL,16);
/*
	Now, "GUID_ID" is not available
	ptr = getenv("GUID_ID");
*/
	ptr = getenv("SPECIFIER_ID");
	config->specifier = strtoul(ptr,NULL,16);
	ptr = getenv("VERSION");
	config->version = strtoul(ptr,NULL,16);
	
	return GOOD;	
}
