/*
 *  Copyright (c) by Shuu Yamaguchi <shuu@dotaster.com>
 *
 *  $Id: env.h,v 1.10 2004/02/19 00:46:04 shuu Exp shuu $
 *
 *  Can be freely distributed and used under the terms of the GNU GPL.
 */
#ifndef	_MURASAKI_ENV_H
#define	_MURASAKI_ENV_H

/*
 * environment
 */
/* action */
#define	ACTION_NONE	0
#define	ACTION_ADD	1
#define	ACTION_REMOVE	2

#define	INVALID		-1
#define	GOOD		0

#define FORK_OFF	0
#define FORK_ON		1

#define ARG_OFF		0
#define ARG_ON		1

#define	DEBUG_NONE	0
#define	DEBUG_TRACE	1
#define	DEBUG_DESC	2

#define MSG_OFF		0
#define MSG_ON		1

#define	WAIT_OFF	0
#define	WAIT_ON		1

#define PRECALL		0
#define POSTCALL	1

#define NOT_FOUND	-1

#endif	/* _MURASAKI_ENV_H */

